All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.serverprop
Class ServerProperties

    com.sas.iquery.metadata.serverprop.ServerProperties

    public class ServerProperties

Contains a set of function and operator definitions, along with attributes that describe a particular type of data server that is supported by SAS Query Services. This type of object is readily available to most API users by simply using the BusinessModel.getServerProperties() method on an instance of a business model.

Method Summary
`boolean` | `containsAggregateFunction(java.lang.String expressionText)` Returns true if the expressionText has a aggregation in it.
`java.util.List<Function>` | `getAggregationFunctions(ParameterType type)` Get a list of aggregate functions sorted by the function label.
`java.util.List<Category>` | `getCategories()` Returns the list of categories that are defined.
`java.lang.String` | `getDescription()` Returns the description of the Server.
`Function` | `getFunctionByNameID(FunctionNameID fntID)` Returns the Function for the given FunctionNameID object.
`java.util.List<Function>` | `getFunctions()` Returns only the functions supported by the Server
`java.util.List<Function>` | `getFunctions(Category category)` Returns all the functions defined for the given category, including operators.
`java.util.List<Function>` | `getFunctions(Category category, ParameterType type)` Returns all the functions defined for the given category and parameter type, including operators.
`java.lang.String` | `getName()` Returns the name of the Server.
`java.util.List<Operator>` | `getOperators()` Returns only the operators supported by the Server.
`java.util.List<Operator>` | `getOperators(Category category)` Returns all the operators defined for the given category.
`java.util.List<SASFormatDescription>` | `getSASFormatDescriptions()` Returns a List of all SASFormatDescription objects.
`java.util.List<SASFormatDescription>` | `getSASFormatDescriptions(java.util.Locale locale)` Returns a List of all SASFormatDescription objects for the specified locale.
`java.util.List<SASFormatDescription>` | `getSASFormatDescriptions(SASFormatCategory type)` Returns a List of all SASFormatDescription objects for a specific SASFormatCategory object.
`java.util.List<SASFormatDescription>` | `getSASFormatDescriptions(SASFormatCategory type, java.util.Locale locale)` Returns a List of all SASFormatDescription objects for a specific SASFormatCategory and locale.
`java.util.Map<java.lang.String,java.lang.String>` | `getServerAttributes()` Returns all the defined attributes on the Server
`java.lang.String` | `getServerAttributeValue(ConnectionType type, ServerAttribute attribute)` Returns the value for the specified connection-specific server attribute.
`java.lang.String` | `getServerAttributeValue(ServerAttribute attribute)` Returns the value for the specified server attribute.
`static Function[]` | `sortFunctionsListByLabel(java.util.List functions)` Deprecated.
`Reason` | `validateByRules(java.lang.String value, java.util.List<java.lang.String> rules)` Validates that the string obeys a list of rules (Strings)

Method Detail

*** This method is subject to change. ***

### getOperators

    public java.util.List<Operator> getOperators()

  Returns only the operators supported by the Server.

  Returns:
    a list of all supported operators.

*** This method is subject to change. ***

### getFunctions

    public java.util.List<Function> getFunctions()

  Returns only the functions supported by the Server

  Returns:
    a list of all supported functions.

*** This method is subject to change. ***

### getServerAttributes

    public java.util.Map<java.lang.String,java.lang.String> getServerAttributes()

  Returns all the defined attributes on the Server

  Returns:
    a map of all server attributes.

*** This method is subject to change. ***

### getServerAttributeValue

    public java.lang.String getServerAttributeValue(ServerAttribute attribute)

  Returns the value for the specified server attribute. This maybe null if the specified server attribute is not supported by this server.

  Parameters:
    `attribute` - the attribute that you are asking for its server-specific value.
  Returns:
    the attribute value or null

*** This method is subject to change. ***

### getServerAttributeValue

    public java.lang.String getServerAttributeValue(ConnectionType type,
                                                    ServerAttribute attribute)

  Returns the value for the specified connection-specific server attribute. The definitions of the attributes themselves describe whether they are connection-type specific or not. Those not saying anything are likely to not-be connection-type specific. This will be null if not supported for the arguments given.

  Parameters:
    `type` - specifies the type of connection for the server-specific attribute.
    `attribute` - the attribute that you are asking for its server-specific value.
  Returns:
    the attribute value or null

*** This method is subject to change. ***

### getName

    public java.lang.String getName()

  Returns the name of the Server.

  Returns:
    the name of the Server.

*** This method is subject to change. ***

### getDescription

    public java.lang.String getDescription()

  Returns the description of the Server.

  Returns:
    a phrase that describes the Server.

*** This method is subject to change. ***

### getFunctions

    public java.util.List<Function> getFunctions(Category category)

  Returns all the functions defined for the given category, including operators.

  Parameters:
    `category` - -- the category whose associated values are to be returned
  Returns:
    a list of all the functions for the given category. Otherwise an empty list.

*** This method is subject to change. ***

### getFunctions

    public java.util.List<Function> getFunctions(Category category,
                                                 ParameterType type)

  Returns all the functions defined for the given category and parameter type, including operators.

  Parameters:
    `category` - -- the category that the functions are associated with
    `type` - -- the single ParameterType of the functions to be returned
  Returns:
    a list of all the functions for the given category and parameter type. Otherwise an empty list.

*** This method is subject to change. ***

### getCategories

    public java.util.List<Category> getCategories()

  Returns the list of categories that are defined. Each element in the returned List is a `CategoryType`.

  Returns:
    a list of supported categories

*** This method is subject to change. ***

### getOperators

    public java.util.List<Operator> getOperators(Category category)

  Returns all the operators defined for the given category.

  Parameters:
    `category` - -- the category whose associated values are to be returned
  Returns:
    a list of all the operators for the given category. Otherwise an empty list.

*** This method is subject to change. ***

### getFunctionByNameID

    public Function getFunctionByNameID(FunctionNameID fntID)

  Returns the Function for the given FunctionNameID object. If no Function is defined for the given FunctionNameID null is returned.

  Parameters:
    `fntID` - -- The FunctionNameID of the function to be returned.
  Returns:
    the function, otherwise null

*** This method is subject to change. ***

### getSASFormatDescriptions

    public java.util.List<SASFormatDescription> getSASFormatDescriptions()
                                                                  throws SASFormatException

  Returns a List of all SASFormatDescription objects. If no formats are support by the server an empty list is returned.

  Returns:
    List of SASFormatDescription objects or empty list
  Throws:
    `SASFormatException` - if there are problems getting format descriptions

*** This method is subject to change. ***

### getSASFormatDescriptions

    public java.util.List<SASFormatDescription> getSASFormatDescriptions(SASFormatCategory type)
                                                                  throws SASFormatException

  Returns a List of all SASFormatDescription objects for a specific SASFormatCategory object. If the specified category has no supported formats an empty list is returned.

  Parameters:
    `type` - the SASFormatCategory to get descriptions for
  Returns:
    List of SASFormatDescription objects or empty list
  Throws:
    `SASFormatException` - if there are problems getting format descriptions

*** This method is subject to change. ***

### getSASFormatDescriptions

    public java.util.List<SASFormatDescription> getSASFormatDescriptions(java.util.Locale locale)
                                                                  throws SASFormatException

  Returns a List of all SASFormatDescription objects for the specified locale. If no formats are support by the server an empty list is returned.

  Parameters:
    `locale` - to be used in retrieving format descriptions
  Returns:
    List of SASFormatDescription objects or empty list
  Throws:
    `SASFormatException` - if there are problems getting format descriptions

*** This method is subject to change. ***

### getSASFormatDescriptions

    public java.util.List<SASFormatDescription> getSASFormatDescriptions(SASFormatCategory type,
                                                                         java.util.Locale locale)
                                                                  throws SASFormatException

  Returns a List of all SASFormatDescription objects for a specific SASFormatCategory and locale. If the specified category has no supported formats an empty list is returned.

  Parameters:
    `type` - the SASFormatCategory to get descriptions for
    `locale` - of the format descriptions.
  Returns:
    List of SASFormatDescription objects or empty list
  Throws:
    `SASFormatException` - if there are problems getting format descriptions

### validateByRules

    public Reason validateByRules(java.lang.String value,
                                  java.util.List<java.lang.String> rules)

  Validates that the string obeys a list of rules (Strings)

  Parameters:
    `value` - - string to be validated
    `rules` - - List of Rules, strings with the rule name in each
  Returns:
    Reason the validate failed, or null if successful

*** This method is subject to change. ***

### containsAggregateFunction

    public boolean containsAggregateFunction(java.lang.String expressionText)
                                      throws MetadataException

  Returns true if the expressionText has a aggregation in it.

  Parameters:
    `expressionText` - - string to be checked
  Returns:
    boolean - true if one of the server's aggregate functions was found in the text
  Throws:
    `MetadataException`

*** This method is subject to change. ***

### getAggregationFunctions

    public java.util.List<Function> getAggregationFunctions(ParameterType type)

  Get a list of aggregate functions sorted by the function label.

  Parameters:
    `type` - Determines the type of aggregate functions to return. Must be ParameterType.PARM_NUMERIC or ParameterType.PARM_CHAR.
  Returns:
    A sorted list of Function objects that are available for the given type. An empty list is returned if an invalid type is given.

*** This method is subject to change. ***

### sortFunctionsListByLabel

    @Deprecated
    public static Function[] sortFunctionsListByLabel(java.util.List functions)

  Deprecated.

  Takes a list of Function objects and sorts them by their Labels.

  This method is deprecated, please use Collections.sort with FunctionLabelComparator instead.

  Parameters:
    `functions` - List of Function
  Returns:
    Function[] sorted function array

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.